# Makefile.in generated by automake 1.16.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = completions
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bashcompdir)"
DATA = $(bashcomp_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
ETAGS = @ETAGS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PYTEST = @PYTEST@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
bashcompdir = $(datadir)/$(PACKAGE)/completions
bashcomp_DATA = 2to3 \
		7z \
		a2x \
		abook \
		aclocal \
		acpi \
		_adb \
		add_members \
		alias \
		ant \
		apache2ctl \
		appdata-validate \
		apt-build \
		apt-cache \
		apt-get \
		aptitude \
		arch \
		arp \
		arping \
		arpspoof \
		asciidoc \
		aspell \
		autoconf \
		automake \
		autoreconf \
		autorpm \
		autoscan \
		avctrl \
		badblocks \
		bind \
		bk \
		brctl \
		btdownloadheadless.py \
		bts \
		bzip2 \
		_cal \
		cancel \
		cardctl \
		carton \
		ccache \
		ccze \
		cfagent \
		cfrun \
		chage \
		change_pw \
		check_db \
		check_perms \
		checksec \
		_chfn \
		chgrp \
		chkconfig \
		chmod \
		chown \
		chpasswd \
		chromium-browser \
		chronyc \
		chrpath \
		_chsh \
		cksfv \
		cleanarch \
		clisp \
		clone_member \
		complete \
		config_list \
		configure \
		convert \
		cowsay \
		cpan2dist \
		cpio \
		cppcheck \
		crontab \
		cryptsetup \
		curl \
		cvs \
		cvsps \
		dd \
		deja-dup \
		desktop-file-validate \
		dhclient \
		dict \
		_dmesg \
		dmypy \
		dnssec-keygen \
		dnsspoof \
		dot \
		dpkg \
		dpkg-source \
		dselect \
		dsniff \
		dumpdb \
		dumpe2fs \
		e2freefrag \
		e2label \
		ebtables \
		ecryptfs-migrate-home \
		_eject \
		eog \
		ether-wake \
		evince \
		explodepkg \
		export \
		faillog \
		fbgs \
		fbi \
		feh \
		file \
		file-roller \
		filefrag \
		filesnarf \
		find \
		find_member \
		fio \
		firefox \
		flake8 \
		freebsd-update \
		freeciv \
		freeciv-server \
		function \
		fusermount \
		gcc \
		gcl \
		gdb \
		genaliases \
		gendiff \
		genisoimage \
		geoiplookup \
		getconf \
		getent \
		gkrellm \
		gm \
		gnatmake \
		gnokii \
		gnome-mplayer \
		gnome-screenshot \
		gpasswd \
		gpg \
		gpg2 \
		gpgv \
		gphoto2 \
		gprof \
		groupadd \
		groupdel \
		groupmems \
		groupmod \
		growisofs \
		grpck \
		gssdp-discover \
		gzip \
		hcitool \
		hddtemp \
		_hexdump \
		hid2hci \
		hostname \
		hping2 \
		htop \
		htpasswd \
		hunspell \
		_hwclock \
		iconv \
		id \
		idn \
		ifstat \
		iftop \
		ifup \
		influx \
		info \
		inject \
		inotifywait \
		insmod \
		installpkg \
		interdiff \
		invoke-rc.d \
		_ionice \
		ip \
		ipcalc \
		iperf \
		ipmitool \
		ipsec \
		iptables \
		ipv6calc \
		iscsiadm \
		isort \
		isql \
		iwconfig \
		iwlist \
		iwpriv \
		iwspy \
		jar \
		jarsigner \
		java \
		javaws \
		jq \
		jpegoptim \
		jps \
		jshint \
		json_xs \
		jsonschema \
		k3b \
		kcov \
		kill \
		killall \
		kldload \
		kldunload \
		koji \
		ktutil \
		larch \
		lastlog \
		ldapsearch \
		ldapvi \
		lftp \
		lftpget \
		lilo \
		links \
		lintian \
		lisp \
		list_admins \
		list_lists \
		list_members \
		list_owners \
		_look \
		locale-gen \
		lpq \
		lpr \
		lrzip \
		lsof \
		lsscsi \
		lsusb \
		lua \
		luac \
		luseradd \
		luserdel \
		lvm \
		lz4 \
		lzip \
		lzma \
		lzop \
		macof \
		mailmanctl \
		make \
		makepkg \
		man \
		mc \
		mcrypt \
		mdadm \
		mdtool \
		medusa \
		mii-diag \
		mii-tool \
		minicom \
		mkinitrd \
		mktemp \
		mmsitepass \
		_mock \
		modinfo \
		modprobe \
		_modules \
		monodevelop \
		_mount \
		_mount.linux \
		mplayer \
		mr \
		msynctool \
		mtx \
		munindoc \
		munin-node-configure \
		munin-run \
		munin-update \
		mussh \
		mutt \
		mypy \
		mysql \
		mysqladmin \
		nc \
		ncftp \
		nethogs \
		_newgrp \
		newlist \
		newusers \
		ngrep \
		nmap \
		_nmcli \
		nproc \
		nslookup \
		nsupdate \
		ntpdate \
		oggdec \
		op \
		openssl \
		opera \
		optipng \
		p4 \
		pack200 \
		passwd \
		patch \
		pdftotext \
		perl \
		perlcritic \
		perltidy \
		pgrep \
		pidof \
		pine \
		ping \
		pkg-config \
		pkg-get \
		pkg_delete \
		pkgadd \
		pkgrm \
		pkgtool \
		pkgutil \
		plague-client \
		pm-hibernate \
		pm-is-supported \
		pm-powersave \
		pngfix \
		portinstall \
		portsnap \
		portupgrade \
		postcat \
		postconf \
		postfix \
		postmap \
		postsuper \
		povray \
		prelink \
		printenv \
		protoc \
		psql \
		puppet \
		pv \
		pwck \
		pwd \
		pwdx \
		pwgen \
		pycodestyle \
		pydoc \
		pydocstyle \
		pyflakes \
		pylint \
		pytest \
		python \
		pyvenv \
		qdbus \
		qemu \
		qrunner \
		querybts \
		quota \
		radvdump \
		rcs \
		rdesktop \
		remove_members \
		removepkg \
		_renice \
		_repomanage \
		reportbug \
		_reptyr \
		resolvconf \
		_rfkill \
		ri \
		rmlist \
		rmmod \
		route \
		rpcdebug \
		rpm \
		rpm2tgz \
		rpmcheck \
		rrdtool \
		rsync \
		_rtcwake \
		_runuser \
		sbcl \
		sbopkg \
		screen \
		scrub \
		secret-tool \
		sh \
		shellcheck \
		sitecopy \
		slackpkg \
		slapt-get \
		slapt-src \
		smartctl \
		smbclient \
		snownews \
		sqlite3 \
		ss \
		ssh \
		ssh-add \
		ssh-copy-id \
		ssh-keygen \
		sshfs \
		sshmitm \
		sshow \
		strace \
		strings \
		_su \
		sudo \
		svcadm \
		svk \
		_svn \
		_svnadmin \
		_svnlook \
		sync_members \
		synclient \
		sysbench \
		sysctl \
		tar \
		tcpdump \
		tcpkill \
		tcpnice \
		timeout \
		tipc \
		tox \
		tracepath \
		tshark \
		tsig-keygen \
		tune2fs \
		_udevadm \
		ulimit \
		_umount \
		_umount.linux \
		unace \
		unpack200 \
		unrar \
		unshunt \
		update-alternatives \
		update-rc.d \
		upgradepkg \
		urlsnarf \
		useradd \
		userdel \
		usermod \
		valgrind \
		vipw \
		vmstat \
		vncviewer \
		vpnc \
		watch \
		webmitm \
		wget \
		wine \
		withlist \
		wodim \
		wol \
		_write \
		wsimport \
		wtf \
		wvdial \
		xdg-mime \
		xdg-settings \
		xfreerdp \
		xgamma \
		xhost \
		_xm \
		xmllint \
		xmlwf \
		xmms \
		xmodmap \
		xrandr \
		xrdb \
		xsltproc \
		xvfb-run \
		xxd \
		xz \
		xzdec \
		ypmatch \
		_yum \
		yum-arch \
		zopfli \
		zopflipng

EXTRA_DIST = $(bashcomp_DATA)
CLEANFILES = \
	7za \
	aclocal-1.10 \
	aclocal-1.11 \
	aclocal-1.12 \
	aclocal-1.13 \
	aclocal-1.14 \
	aclocal-1.15 \
	aclocal-1.16 \
	alpine \
	alternatives \
	animate \
	apropos \
	aptitude-curses \
	arm-koji \
	asciidoc.py \
	autoheader \
	automake-1.10 \
	automake-1.11 \
	automake-1.12 \
	automake-1.13 \
	automake-1.14 \
	automake-1.15 \
	automake-1.16 \
	autossh \
	autoupdate \
	bmake \
	bsdtar \
	btdownloadcurses.py \
	btdownloadgui.py \
	c++ \
	cc \
	cdrecord \
	chrome \
	chromium \
	ci \
	ciptool \
	civclient \
	civserver \
	clzip \
	co \
	colormake \
	compare \
	compgen \
	composite \
	conjure \
	cowthink \
	createdb \
	createuser \
	dcop \
	declare \
	dfutool \
	display \
	dpkg-deb \
	dpkg-query \
	dpkg-reconfigure \
	dropdb \
	dropuser \
	edquota \
	etherwake \
	f77 \
	f95 \
	filebucket \
	freeciv-gtk2 \
	freeciv-gtk3 \
	freeciv-sdl \
	freeciv-xaw \
	g++ \
	g++-5 \
	g++-6 \
	g++-7 \
	g++-8 \
	g4 \
	g77 \
	g95 \
	gcc-5 \
	gcc-6 \
	gcc-7 \
	gcc-8 \
	gccgo \
	gccgo-5 \
	gccgo-6 \
	gccgo-7 \
	gccgo-8 \
	gcj \
	geoiplookup6 \
	gfortran \
	gfortran-5 \
	gfortran-6 \
	gfortran-7 \
	gfortran-8 \
	gkrellm2 \
	gmake \
	gmplayer \
	gnumake \
	google-chrome \
	google-chrome-stable \
	gpc \
	gpgv2 \
	gtar \
	hciattach \
	hciconfig \
	hd \
	host \
	hping \
	hping3 \
	iceweasel \
	identify \
	ifdown \
	ifquery \
	ifstatus \
	import \
	inotifywatch \
	insmod.static \
	iperf3 \
	javac \
	javadoc \
	kplayer \
	l2ping \
	lbzip2 \
	ldapadd \
	ldapcompare \
	ldapdelete \
	ldapmodify \
	ldapmodrdn \
	ldappasswd \
	ldapwhoami \
	links2 \
	lintian-info \
	lusermod \
	lvchange \
	lvcreate \
	lvdisplay \
	lvextend \
	lvmdiskscan \
	lvreduce \
	lvremove \
	lvrename \
	lvresize \
	lvs \
	lvscan \
	lz4c \
	mailsnarf \
	mdecrypt \
	mencoder \
	micropython \
	mkisofs \
	mogrify \
	montage \
	mozilla-firefox \
	mplayer2 \
	msgsnarf \
	muttng \
	ncal \
	pbzip2 \
	pccardctl \
	pdlzip \
	perldoc \
	phing \
	pigz \
	pinfo \
	ping6 \
	pkg_deinstall \
	pkg_info \
	pkill \
	plzip \
	pm-suspend \
	pm-suspend-hybrid \
	pmake \
	postalias \
	ppc-koji \
	puppetca \
	puppetd \
	puppetdoc \
	puppetmasterd \
	puppetqd \
	puppetrun \
	pvchange \
	pvcreate \
	pvdisplay \
	pvmove \
	pvremove \
	pvs \
	pvscan \
	pxz \
	py.test \
	py.test-2 \
	py.test-3 \
	pydoc3 \
	pylint-2 \
	pylint-3 \
	pypy \
	pypy3 \
	pytest-2 \
	pytest-3 \
	python2 \
	python2.7 \
	python3 \
	python3.3 \
	python3.4 \
	python3.5 \
	python3.6 \
	python3.7 \
	python3.8 \
	pyvenv-3.4 \
	pyvenv-3.5 \
	pyvenv-3.6 \
	pyvenv-3.7 \
	pyvenv-3.8 \
	qemu-kvm \
	qemu-system-i386 \
	qemu-system-x86_64 \
	quotacheck \
	quotaoff \
	quotaon \
	ralsh \
	rcsdiff \
	rdict \
	repquota \
	rfcomm \
	rlog \
	rpm2targz \
	rpm2txz \
	rpmbuild \
	rpmbuild-md5 \
	s390-koji \
	sbcl-mt \
	scp \
	sdptool \
	setquota \
	sftp \
	sidedoor \
	slogin \
	smbcacls \
	smbcquotas \
	smbget \
	smbpasswd \
	smbtar \
	smbtree \
	sparc-koji \
	spovray \
	star \
	stream \
	sudoedit \
	tightvncviewer \
	tracepath6 \
	typeset \
	vgcfgbackup \
	vgcfgrestore \
	vgchange \
	vgck \
	vgconvert \
	vgcreate \
	vgdisplay \
	vgexport \
	vgextend \
	vgimport \
	vgmerge \
	vgmknodes \
	vgreduce \
	vgremove \
	vgrename \
	vgs \
	vgscan \
	vgsplit \
	vigr \
	whatis \
	xpovray \
	xvnc4viewer \
	ypcat

SETUP_SYMLINKS = $(srcdir)/../setup-symlinks.sh
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign completions/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign completions/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-bashcompDATA: $(bashcomp_DATA)
	@$(NORMAL_INSTALL)
	@list='$(bashcomp_DATA)'; test -n "$(bashcompdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bashcompdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bashcompdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(bashcompdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(bashcompdir)" || exit $$?; \
	done

uninstall-bashcompDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(bashcomp_DATA)'; test -n "$(bashcompdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(bashcompdir)'; $(am__uninstall_files_from_dir)
tags TAGS:

ctags CTAGS:

cscope cscopelist:

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile $(DATA) all-local
installdirs:
	for dir in "$(DESTDIR)$(bashcompdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-bashcompDATA
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-bashcompDATA

.MAKE: check-am install-am install-data-am install-strip

.PHONY: all all-am all-local check check-am check-local clean \
	clean-generic cscopelist-am ctags-am distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-bashcompDATA install-data \
	install-data-am install-data-hook install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
	pdf-am ps ps-am tags-am uninstall uninstall-am \
	uninstall-bashcompDATA

.PRECIOUS: Makefile


symlinks: $(DATA)
	$(ss) 7z \
		7za
	$(ss) aclocal \
		aclocal-1.10 aclocal-1.11 aclocal-1.12 aclocal-1.13 \
		aclocal-1.14 aclocal-1.15 aclocal-1.16
	$(ss) ant \
		phing
	$(ss) aptitude \
		aptitude-curses
	$(ss) asciidoc \
		asciidoc.py
	$(ss) automake \
		automake-1.10 automake-1.11 automake-1.12 automake-1.13 \
		automake-1.14 automake-1.15 automake-1.16
	$(ss) autoreconf \
		autoheader
	$(ss) autoscan \
		autoupdate
	$(ss) btdownloadheadless.py \
		btdownloadcurses.py btdownloadgui.py
	$(ss) bzip2 \
		lbzip2 pbzip2
	$(ss) _cal \
		ncal
	$(ss) cardctl \
		pccardctl
	$(ss) chromium-browser \
		chrome chromium google-chrome google-chrome-stable
	$(ss) complete \
		compgen
	$(ss) convert \
		animate compare composite conjure display identify import \
		mogrify montage stream
	$(ss) cowsay \
		cowthink
	$(ss) dict \
		rdict
	$(ss) dpkg \
		dpkg-deb dpkg-query dpkg-reconfigure
	$(ss) ether-wake \
		etherwake
	$(ss) filesnarf \
		mailsnarf msgsnarf
	$(ss) firefox \
		iceweasel mozilla-firefox
	$(ss) freeciv \
		civclient freeciv-gtk2 freeciv-gtk3 freeciv-sdl freeciv-xaw
	$(ss) freeciv-server \
		civserver
	$(ss) function \
		declare typeset
	$(ss) gcc \
		c++ cc f77 f95 g++ g++-5 g++-6 g++-7 g++-8 g77 g95 gcc-5 \
		gcc-6 gcc-7 gcc-8 gccgo gccgo-5 gccgo-6 gccgo-7 gccgo-8 gcj \
		gfortran gfortran-5 gfortran-6 gfortran-7 gfortran-8 gpc
	$(ss) genisoimage \
		mkisofs
	$(ss) geoiplookup \
		geoiplookup6
	$(ss) gkrellm \
		gkrellm2
	$(ss) gpgv \
		gpgv2
	$(ss) gzip \
		pigz
	$(ss) hcitool \
		ciptool dfutool hciattach hciconfig l2ping rfcomm sdptool
	$(ss) _hexdump \
		hd
	$(ss) hping2 \
		hping hping3
	$(ss) ifup \
		ifdown ifquery ifstatus
	$(ss) info \
		pinfo
	$(ss) inotifywait \
		inotifywatch
	$(ss) insmod \
		insmod.static
	$(ss) iperf \
		iperf3
	$(ss) java \
		javac javadoc
	$(ss) koji \
		arm-koji ppc-koji s390-koji sparc-koji
	$(ss) ldapsearch \
		ldapadd ldapcompare ldapdelete ldapmodify ldapmodrdn \
		ldappasswd ldapwhoami
	$(ss) links \
		links2
	$(ss) lintian \
		lintian-info
	$(ss) luseradd \
		lusermod
	$(ss) lvm \
		lvchange lvcreate lvdisplay lvextend lvmdiskscan lvreduce \
		lvremove lvrename lvresize lvs lvscan pvchange pvcreate \
		pvdisplay pvmove pvremove pvs pvscan vgcfgbackup vgcfgrestore \
		vgchange vgck vgconvert vgcreate vgdisplay vgexport vgextend \
		vgimport vgmerge vgmknodes vgreduce vgremove vgrename vgs \
		vgscan vgsplit
	$(ss) lz4 \
		lz4c
	$(ss) lzip \
		clzip pdlzip plzip
	$(ss) make \
		bmake colormake gmake gnumake pmake
	$(ss) man \
		apropos whatis
	$(ss) mcrypt \
		mdecrypt
	$(ss) mplayer \
		gmplayer kplayer mencoder mplayer2
	$(ss) mutt \
		muttng
	$(ss) nslookup \
		host
	$(ss) p4 \
		g4
	$(ss) perl \
		perldoc
	$(ss) pine \
		alpine
	$(ss) ping \
		ping6
	$(ss) pkg_delete \
		pkg_deinstall pkg_info
	$(ss) pgrep \
		pkill
	$(ss) pm-hibernate \
		pm-suspend pm-suspend-hybrid
	$(ss) psql \
		createdb createuser dropdb dropuser
	$(ss) postmap \
		postalias
	$(ss) povray \
		spovray xpovray
	$(ss) puppet \
		filebucket puppetca puppetd puppetdoc puppetmasterd puppetqd \
		puppetrun ralsh
	$(ss) pytest \
		py.test py.test-2 py.test-3 pytest-2 pytest-3
	$(ss) pydoc \
		pydoc3
	$(ss) pylint \
		pylint-2 pylint-3
	$(ss) python \
		micropython pypy pypy3 python2 python2.7 python3 python3.3 python3.4 python3.5 python3.6 python3.7 python3.8
	$(ss) pyvenv \
		pyvenv-3.4 pyvenv-3.5 pyvenv-3.6 pyvenv-3.7 pyvenv-3.8
	$(ss) qdbus \
		dcop
	$(ss) qemu \
		qemu-kvm qemu-system-i386 qemu-system-x86_64
	$(ss) quota \
		edquota quotacheck quotaoff quotaon repquota setquota
	$(ss) rcs \
		ci co rcsdiff rlog
	$(ss) rpm \
		rpmbuild rpmbuild-md5
	$(ss) rpm2tgz \
		rpm2targz rpm2txz
	$(ss) smbclient \
		smbcacls smbcquotas smbget smbpasswd smbtar smbtree
	$(ss) sbcl \
		sbcl-mt
	$(ss) ssh \
		autossh scp sftp sidedoor slogin
	$(ss) sudo \
		sudoedit
	$(ss) tar \
		bsdtar gtar star
	$(ss) tracepath \
		tracepath6
	$(ss) update-alternatives \
		alternatives
	$(ss) vipw \
		vigr
	$(ss) vncviewer \
		tightvncviewer xvnc4viewer
	$(ss) wine \
		wine-development wine-stable
	$(ss) wodim \
		cdrecord
	$(ss) xz \
		pxz
	$(ss) ypmatch \
		ypcat
.PHONY: symlinks

all-local: ss = $(SETUP_SYMLINKS) .
all-local: symlinks

install-data-hook: ss = $(SETUP_SYMLINKS) $(DESTDIR)$(bashcompdir)
install-data-hook: symlinks

check-local:
	ret=0; \
	for file in $(bashcomp_DATA); do \
		$${bashcomp_bash:-$${BASH:-bash}} \
			-O extglob -n $(srcdir)/$$file || ret=$$?; \
	done; \
	exit $$ret

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
